<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Karauos
 * @since 4.0.0
 */

$theme_option = get_option('tmt_theme_config_option', [] );
$id = $theme_option['tmt-footer'];

if(!empty($id)) {

    echo "<footer>";
        TMT_Elementor::get_footer_content();
    echo "</footer>";

} else {
    echo "<footer class='site-footer flex align-items-center justify-content-center' style='padding: 50px;background-color: #1d3131;'>"
        . "<p style='color: #FFF;font-size: 22px;'>". get_bloginfo( 'description' ) ."</p>"
    . "</footer>";
}

wp_footer();
$custom_js = TMT_Get_Setting('codes-settings', 'custom-js');
$before_closing_body = TMT_Get_Setting('codes-settings', 'custom-before-body');
if(!empty($custom_js)) { ?>
    <script type="text/javascript">
        <?php echo $custom_js; ?>
    </script>
<?php } if($before_closing_body){
    echo $before_closing_body;
}
?>
</body>
</html>